Creates a pending invoice document and returns a presigned upload request. Upload the document with every returned upload_headers entry, including Content-Type (the requested filetype), wait until GET /invoices/documents/{merchant_invoice_document_id} reports accepted, then use document_id as merchant_invoice_document_id when creating or updating the invoice.
Security
bearerAuth or basicAuth
Document metadata used to request an invoice upload.
- Mock serverhttps://docs.resolvepay.com/_mock/merchant-api/openapi/invoices/documents
- Sandbox serverhttps://app-sandbox.resolvepay.com/api/invoices/documents
curl -i -X POST \
https://docs.resolvepay.com/_mock/merchant-api/openapi/invoices/documents \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"filename": "invoice.pdf",
"filetype": "application/pdf"
}'Pending invoice document upload request.
Response
{ "id": "string", "document_id": "string", "url": "http://example.com", "upload_url": "http://example.com", "upload_expires_at": "2019-08-24T14:15:22Z", "object_key": "string", "transfer_method": "presigned_upload", "upload_headers": { "property1": "string", "property2": "string" }, "validation_profile": "merchant_invoice_document_default" }